@rem ************************************************************************
@rem  Licensed Material - Property of IBM
@rem 
@rem  5724-M24 
@rem 
@rem  (c) Copyright IBM Corp. 2006,2007.  All rights reserved.
@rem 
@rem  US Government Users Restricted Rights - Use, duplication or
@rem  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem ************************************************************************

@rem ************************************************************************
@rem  Install the Event Apps 
@rem ************************************************************************

@rem USAGE: installEventServer.bat WID_HOME CELL_NAME NODE_NAME SERVER_NAME
@echo off
setlocal
set SAVE_RC=0
if "%4" NEQ "" goto startNow
echo USAGE: installEventServer.bat WID_HOME CELL_NAME NODE_NAME SERVER_NAME
set SAVE_RC=1
goto exitNow
@rem set up logs directory
:startNow
set WID_HOME=%~1
set CELL_NAME=%2
set NODE_NAME=%3
set SERVER_NAME=%4
set PROFILE_HOME=%WID_HOME%\pf\wbmonitor
set CUR_DIR=%CD%
set MY_LOG="%CUR_DIR%\logs\InstallEventsApp.log"


echo Start Installing EventServer App ... > %MY_LOG% 2>&1
time /t >>%MY_LOG%

echo WID_HOME=%WID_HOME% >> %MY_LOG% 2>&1
echo PROFILE_HOME=%PROFILE_HOME% >> %MY_LOG% 2>&1
echo CELL_NAME=%CELL_NAME% >> %MY_LOG% 2>&1
echo NODE_NAME=%NODE_NAME% >> %MY_LOG% 2>&1
echo SERVER_NAME=%SERVER_NAME% >> %MY_LOG% 2>&1

@rem Now, install the applications again
pushd "%PROFILE_HOME%\event\application"

@rem install EventServer
@echo on
call "%PROFILE_HOME%\bin\wsadmin.bat" -profile event-profile.jacl -f event-application.jacl -action install -earfile event-application.ear -backendid CLOUDSCAPE_V51_1 -node %NODE_NAME% -server %SERVER_NAME%
@echo off
set SAVE_RC=%errorlevel%
if %SAVE_RC% NEQ 0 goto cmdFailed

goto done

@rem ************************************************************************
:cmdFailed
@rem ************************************************************************
echo Error: Command failed, error code = %SAVE_RC% >> %MY_LOG% 2>&1
@rem 
@rem Wrap it up
:done
@rem
popd
echo Installation of the EventServer is finished. >>%MY_LOG% 2>&1
time /t >>%MY_LOG% 
:exitNow
exit /b %SAVE_RC%