@rem ************************************************************************
@rem  Licensed Material - Property of IBM
@rem 
@rem  5724-M24 
@rem 
@rem  (c) Copyright IBM Corp. 2006,2007.  All rights reserved.
@rem 
@rem  US Government Users Restricted Rights - Use, duplication or
@rem  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem ************************************************************************

@rem ************************************************************************
@rem  Main batch file to call when updating the Monitor Development Toolkit
@rem ************************************************************************

@rem USAGE: upgradeToolkit.bat VERSION WBMONITOR_HOME CELL_NAME NODE_NAME
@echo off
setlocal
if "%4" NEQ "" goto startInstall
@rem --------------------------------------------------------------------------------------------------------
:usage 
echo USAGE: upgradeToolkit VERSION WBMONITOR_HOME CELL_NAME NODE_NAME
echo        - VERSION = 602 if updating an existing WB Monitor 6.0.2 installation
echo        - VERSION = 6021 if updating an existing WB Monitor 6.0.2.1 installation
@rem --------------------------------------------------------------------------------------------------------
goto exitNow
:startInstall
set PARAM=%1
set MONITOR_HOME=%~2
set WID_HOME=%MONITOR_HOME%\..
set CELL_NAME=%3
set NODE_NAME=%4
set SERVER_NAME=server1
set PATH=%WID_HOME%\runtimes\bi_v6\java\bin;%PATH%
    
@rem upgrade the ifeature if you are doing 602 update
if "%PARAM%" NEQ "602" goto startNow
java -cp .\upgradeToolkit.jar com.ibm.wbimonitor.toolkit.upgrade.InstallUpgrader %PARAM%
set RC=%errorlevel%
if %RC% NEQ 0 goto exitNow

@rem copy the new ToolkitUninstaller if you are doing 602 update
echo Upgrading the Toolkit Uninstaller ...
xcopy upgradeToolkit.jar "%MONITOR_HOME%\_uninstmon\ToolkitUninstaller.jar" /V /Y

@rem ---- Start here --------
:startNow
@rem check if ITE was installed
if exist "%MONITOR_HOME%\_uninst" goto mkupdate
echo ITE is not installed, so exit
goto exitNow
:mkupdate
if NOT exist "%MONITOR_HOME%\update" mkdir "%MONITOR_HOME%\update"
xcopy  6.0.2.1-WBI-MONITOR-UPK417107.zip "%MONITOR_HOME%\update" /v /Y
xcopy  upgradeToolkit.jar "%MONITOR_HOME%\update" /v /Y
pushd "%MONITOR_HOME%\update"
jar.exe xf 6.0.2.1-WBI-MONITOR-UPK417107.zip
cd 6.0.2.1-WBI-MONITOR-UPK417107.install
if NOT exist "logs" mkdir logs

call updateToolkit.bat "%WID_HOME%" %CELL_NAME% %NODE_NAME% %SERVER_NAME%
set RC=%errorlevel%
echo off
cd ..
del 6.0.2.1-WBI-MONITOR-UPK417107.zip
del upgradeToolkit.jar
popd

@rem ------ end here -----
:exitNow
exit /B %RC%
echo on

